Pages

Get a submission

GET
/page-submissions/{submission_id}

Read one submission with values, attachments and visitor.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

submission_id*Submission Id

Resource identifier: submission_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/page-submissions/123e4567-e89b-42d3-a456-426614174000"
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "page_id": "123e4567-e89b-42d3-a456-426614174001",  "page_version_id": "123e4567-e89b-42d3-a456-426614174002",  "link_id": "123e4567-e89b-42d3-a456-426614174000",  "visit_id": "123e4567-e89b-42d3-a456-426614174001",  "values": {    "email": "customer@example.com",    "message": "Looks good."  },  "attachments": {},  "viewer": {    "id": "123e4567-e89b-42d3-a456-426614174002",    "verified": true,    "first_seen_at": "2026-09-04T12:00:00Z",    "last_seen_at": "2026-09-04T12:00:00Z"  },  "status": "RECEIVED",  "failure_code": null,  "processed_at": null,  "submitted_at": "2026-09-04T12:00:00Z"}